// File:  inv14.cc
// Glen Cowan
// RHUL Physics
// Statistics problem for Invisibles 2014

#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <TRandom3.h>
#include <TH1D.h>
#include <TFile.h>

using namespace std;

int main(int argc, char **argv) {

  TFile* histFile = new TFile("inv14.root", "recreate");
  TH1D* h_q0 = new TH1D("h_q0", "q0",  200,  0, 40.);

  int seed = 12345;
  TRandom3* ran = new TRandom3(seed);

  double s = 0.;
  double sigma_bTilde = 1.0;
  double b = 6.0;

  int numExp = 100000;
  for (int i=0; i<numExp; i++){
    int n = ran->Poisson(s+b);
    double nd = static_cast<double>(n);
    double bTilde = ran->Gaus(b, sigma_bTilde);


    // Insert your code here to calculate q0 and enter into histogram





  }



  histFile->Write();
  histFile->Close();

  return 0;



}
